OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2014
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.EXT.TransformFeedback

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the EXT_transform_feedback extension, see http://www.opengl.org/registry/specs/EXT/transform_feedback.txt.

Synopsis

- glBeginTransformFeedback :: GLenum -> IO ()
- glEndTransformFeedback :: IO ()
- glBindBufferRange :: GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> IO ()
- glBindBufferOffset :: GLenum -> GLuint -> GLuint -> GLintptr -> IO ()
- glBindBufferBase :: GLenum -> GLuint -> GLuint -> IO ()
- glTransformFeedbackVaryings :: GLuint -> GLsizei -> Ptr (Ptr GLchar) -> GLenum -> IO ()
- glGetTransformFeedbackVarying :: GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr GLchar -> IO ()
- gl_TRANSFORM_FEEDBACK_BUFFER :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_START :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_SIZE :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_BINDING :: GLenum
- gl_INTERLEAVED_ATTRIBS :: GLenum
- gl_SEPARATE_ATTRIBS :: GLenum
- gl_PRIMITIVES_GENERATED :: GLenum
- gl_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN :: GLenum
- gl_RASTERIZER_DISCARD :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS :: GLenum
- gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS :: GLenum
- gl_TRANSFORM_FEEDBACK_VARYINGS :: GLenum
- gl_TRANSFORM_FEEDBACK_BUFFER_MODE :: GLenum
- gl_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH :: GLenum

# Functions

glBeginTransformFeedback :: GLenum -> IO ()

glEndTransformFeedback :: IO ()

glBindBufferRange :: GLenum -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> IO ()

glBindBufferOffset :: GLenum -> GLuint -> GLuint -> GLintptr -> IO ()

glBindBufferBase :: GLenum -> GLuint -> GLuint -> IO ()

glTransformFeedbackVaryings :: GLuint -> GLsizei -> Ptr (Ptr GLchar) -> GLenum -> IO ()

glGetTransformFeedbackVarying :: GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLsizei -> Ptr GLenum -> Ptr GLchar -> IO ()

# Tokens

gl_TRANSFORM_FEEDBACK_BUFFER :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_START :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_SIZE :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_BINDING :: GLenum

gl_INTERLEAVED_ATTRIBS :: GLenum

gl_SEPARATE_ATTRIBS :: GLenum

gl_PRIMITIVES_GENERATED :: GLenum

gl_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN :: GLenum

gl_RASTERIZER_DISCARD :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS :: GLenum

gl_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS :: GLenum

gl_TRANSFORM_FEEDBACK_VARYINGS :: GLenum

gl_TRANSFORM_FEEDBACK_BUFFER_MODE :: GLenum

gl_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH :: GLenum